Keep Up-to-Date with BOPIT

12th Aug 2007 stk

Installing the plugin

The installation for this plug-in is easy. Just follow the steps below.

  1. Download : BOPIT plugin for 2.x and higher
  2. Download: Grab the latest version from am_bopit_plugin.zip (plugin for b2evo v1.8.x, v1.9.x & 1.10.x)
  3. Unzip & Upload: Unzip the file into the "/plugins" folder of your b2evolution installation. It will make a folder called "am_bopit_plugin", which you need to upload to your b2evolution server, putting it into the same "/plugins" location.

  4. Install the Plugin: In the back-office, head to the "App Setting" -> "Plugins" tab. In the "Available Plugins" list, you should see "AM BOPIT". Click [Install] in the "Actions" list, on the right. BOOM! It's installed.

BOOM! You're done. How simple was that?

So how do you use it?

Once this plugin is installed you just need to visit your plugins tab to see at a glance which plugins need updating.

If you wander over to the tools tab you'll see a sub tab for "AM BOPIT", here you'll not only be shown whether your plugins and skins are up to date, you'll also be shown any that are available that you don't have installed!

Contents
  1. Introduction
  2. Installation
  3. Developers ( revised )
 
 
 
 

21 comments

Seems like a lot of crap to go through for such a simple thing, why don't plugin devs just add a $bopit_update_xml_url variable to their plugins, which the bopit plugin looks for, and then uses.
 
08/13/07 @ 02:25
1) All plugin devs would need to amend their code to suit the plugin - this way they don't
2) The plugin would have to make multiple server calls to check if the plugins are up to date - this way it doesn't
3) You'd only be able to check installed plugins - this way you can see plugins you don't even have installed

¥
 
08/13/07 @ 07:21
Comment from: EdB
May I suggest a field for "reason"? Like "Error with gijdyboodle fixed by snargulating the rectoplasm" or "cosmetic clean-up, not critical".

Hey your cool greyn lines aren't greyn down here. They're greyn in the corners but an extremely pale shade of grey when they are horizontal or vertical.

Back on track: so if a plugin can work all the way back to 0862 I would make an xml file called "version_0_8.xml" with whatever plugin I had for back then. I would then need to duplicate that plugin in each successive version it works in, or no?

PS your textareaa doesn't have a scroll bar.
 
01/14/08 @ 00:57
Hi EdB
The eventual goal for bopit is to have an area where plugin/skin developers can maintain their own entries, this would probably be a slightly modified blog where the categories are the various evo versions so you just need to tick all the right boxes. We'd then use the blog posts to create/update the various xml files that allow bopit to work it's magic and we'd be able to use the same blog as an "available plugins / skins " section on this blog.

Once we finish off tarting up this new skin and correcting all the currently dead links then I'll have time to play as I'd like to get it finished off.

Thanks for the heads up at the lack of scrollbar, that's one that I hadn't noticed it's corrected now ;)

¥
 
01/14/08 @ 10:42
Comment from: EdB
Your contact form failed for an unhandled disp type. I have an xml file for ya at http://wonderwinds.com/plugins/version_2_3.xml
 
01/20/08 @ 09:22
Hi EdB,
I didn't even know we had a contact form :P I've added your plugins to BOPIT so they should show in your admin area by the time you read this.

We have a whole new cool system for maintaining the files, at least we have one whilst the plugin isn't going through one of it's random moments of disablement .... gotta track down what makes that happen.

If you login ( your username's edb, god knows what you picked as a password ) and meander over to the "plugins" blog you'll see the BOPIT entries for the plugins, editing the posts edits the files. *IF* you get a normal post screen then it means the BOPIT controller plugin is going through a moment of doubt so you just need to hit the "plugins install" tab and convince it that it should be enabled.

¥
 
01/20/08 @ 10:27
Comment from: EdB
One thing at a time! Up on the developers page (p3 yah?) the words "give us a shout" are linked to blahblah.co.uk/special.php?am_disp=email which I took to be a contact form.

I'm also seeing something funny with the YouTube plugin. It told me I had an old version and that I should upgrade even though I was pretty sure I had the latest and greatest. So I upgraded followed the link and grabbed the zip and unzipped it and uploaded it and it's still telling me my copy is old.

Something about it coming from a mac perhaps? I've seen some "funny" stuff happen with zips from macs - usually "all lines appear to be on one line" in a file editor.

That was two things? Now I'll see if god knows what my password was :)
 
01/20/08 @ 18:47
bugger, I really need to update the developers notes, shit has waaaaay moved on beyond that .... and the contact list is fubar'd :p

I had hassle last time with the youtube versions, I'll work on curing it ..... once I stop the controller plugin from randomly disabling itself ( rapidly turning into a huge pita ).

I spoke to god earlier, he said he was fuck'd if he could remember your password and hopes that your profile email is correct so you can do the whole "I'm a dumbass, send me a forgotten password link" routine ..... or I could just change it to the password of your choice? O:-)

¥
 
01/20/08 @ 23:02
Comment from: EdB
Yeah I'm logged in here now, but didn't really know what to do. Saw the empty o instead of the solid spot but ... no X to kill it and re-install it, and no "two spots on a stick" to engage and disengage.

BTW after I found your "login or register" link it took me to site, which does a wonderful job of breaking the back button.

Wish I could help you with your plugin problem, but as you know I can barely plugin a toaster without issue :/
 
01/21/08 @ 01:11
I decided to do it the easy way and run a check on each blog hit, if the plugins disabled it just re-enables it in the database. I still need to work out why it disables though. It's all good fun though huh?

I've changed your group permissions in admin, you should now have the ability to play with the plugins.

I really need to go through all the widgets and correct the placeholder links before your back button sues us for negligence :P

¥
 
01/21/08 @ 09:16
Comment from: ednong
Hi,
you need to update the Readme.html in the version 2.3 of your plug in for b2evo V 2.x

And did you take a look to your website in konqueror?
 
02/23/08 @ 01:33
I don't think I've ever updated that readme :p

Is that a subtle hint that I need to reboot and check in konqueror ? :p

¥
 
02/24/08 @ 08:17
I'm the creator of the DNS Anti-spam trackback plugin, the wikipedia links plugins, and blogalaxia tags plugins, and would like to enter into this wonderful BOPIT world. Mainly because I want to keep up to date with my own plugins versions (how is that for a forgetful person?), because the idea sounds cool and I just want to give it a try. In Gallery2 the plugin updates are really automatic from the admin area, and this BOPIT doesn't provide quite that functionality, but it is good enough for me anyways. So, how do I get the key to the kingdom?
 
02/28/08 @ 08:10
Hi Austriaco,
It is actually possible to get BOPIT to automatically upgrade/install plugins directly from admin but it would require one of the following

1) PHP running as the user ( suexec ) : this is ideal
2) Wide open permissions for the plugins folder ( 0777 ) : Never going to happen

As to getting access to the heady world of BOPIT I just created you a user, you should have an email arriving shortly ;)

¥
 
02/28/08 @ 09:25
Skins Fields:

Theme/Skin Name: MySkin-001
Version Number: (must be X.X.X) example: 12.12.12
Author: ME!
Author-URL: http://gameshogun.ws/
License: CC-BY-SA; GNU FDL; or whatever
Last Updated: 2008-04-01 (YEAR-MM-DD)
Description: blah blah blah

Upgraded by: (optional)
Ported By: (optional)
Original Design by: (optional)


;)

 
04/03/08 @ 16:43
Hmmm, that's certainly a starting point. I'll have a ponder and see what I can come up with ;)

¥
 
04/04/08 @ 17:11
Comment from: )(H)(
in my admin>tools>am boopit got
Fatal error: Class 'Plugins_no_DB' not found in /home/inkcdro/public_html/plugins/am_bopit_plugin/_am_bopit.plugin.php on line 114
clicking on tab.
Any reasons?
 
12/11/08 @ 22:06
Last time that happened it's because somebody download a very old version, make sure you have the latest version ( 2.5 I *believe* )

¥
 
12/14/08 @ 09:02
Comment from: )(H)(
right. uploaded 2.5. works. tnx
 
12/16/08 @ 20:58
Comment from: ednong
Hi,
I just downloaded the newest BOPIT in version 2.6.1. I'm using b2evo in version 2.4.6 with BOPIT in version 2.5

I deinstalled the old version, removed the folder and put the new one BOPIT into the same place. Then I reloaded and tried to install the new version of BOPIT. And get this error:

Parse error: parse error, unexpected '=', expecting ')' in /home/www/webnumber/html/blogs/plugins/am_bopit_plugin/_am_bopit.plugin.php on line 274

I don't know. Tried to downloade again and upload to my webspace. Same thing. Why?
 
04/11/09 @ 21:33
Hi,
I'm guessing you're using php4.x, can you see if this version works for you ( bopit.zip ) ?

¥
 
04/13/09 @ 08:03

This post has 1 feedback awaiting moderation...

Comments are closed for this post.

 

B.O.P.I.T